%define version 0.3.0
%define release alt1.1
%define origname TwistedLore
%setup_python_module twisted-lore

Name:           %packagename
Version:        %version
Release: %release.1
Summary:        Twisted documentation system

Group:          Development/Python
License:        MIT
URL:            http://www.twistedmatrix.com
Packager:	Sergey Alembekov <rt@altlinux.ru>
Source0:        http://tmrc.mit.edu/mirror/twisted/Lore/0.3/%origname-%version.tar.bz2

BuildRequires:  python-module-twisted-core >= 2.5.0
BuildRequires:  python-devel

Requires:       python-module-twisted-core
Requires:       python-module-twisted-web

%description
Twisted is an event-based framework for internet applications.

Lore is a complete documentation system based on XHTML and can generate
documentation into other formats such as PDF, HTML.

%prep
%setup -q -n %origname-%version

subst 's/\r//g' doc/howto/listings/lore/1st_example.html \
		doc/howto/listings/lore/factory.py* \
		doc/howto/listings/lore/spitters.py* \
		doc/howto/listings/lore/plugins.tml

%build
%__python setup.py build

%install
%__python setup.py install --root $RPM_BUILD_ROOT --install-purelib %python_sitelibdir

# Man pages
mkdir -p -- $RPM_BUILD_ROOT%_man1dir
cp -a -- doc/man/*.1 $RPM_BUILD_ROOT%_man1dir
rm -rf -- doc/man

%files
%doc README LICENSE NEWS doc/*
%_man1dir/*
%_bindir/bookify
%_bindir/lore

%python_sitelibdir/twisted/lore/

%python_sitelibdir/twisted/plugins/twisted_lore.py*
%exclude %python_sitelibdir/twisted/lore/nevowlore*

%changelog
* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 0.3.0-alt1.1.1
- Rebuilt with python-2.5.

* Sun Dec 09 2007 Sergey Alembekov <rt@altlinux.ru> 0.3.0-alt1.1
- Fix build on x86_64 (thanks to Nikolay A. Fetisov aka naf@)
- Fix missed dependency on python2.4(nevow)
- Spec file cleanup

* Fri Mar 30 2007 Sergey Alembekov <rt@altlinux.ru> 0.3.0-alt1
- Build for new upstream version
